
FNC_WORK	.equ	$00 ; 12 bytes
FNC_ARG		.equ	$0c ;  8 bytes
MATH_REG	.equ	$14 ; 12 bytes
; for user $20 .. $9f
; for user (free) $a0 .. $af
; for user (debug) $b0 .. $b7
; usr_func $b8
USR_FNC		.equ	$b9 ;  2bytes
; free $bb
BANK_NUM	.equ	$bc ;  2bytes
SUS_BANK	.equ	$be ;  2bytes
; for sound driver $c0 .. $ef
PPU_REG1	.equ	$f0
IRQ_LINE	.equ	$f1
SCROLL_X	.equ	$f2
SCROLL_Y	.equ	$f3
JOYPAD		.equ	$f4 ;  2 bytes
RAND		.equ	$f6 ;  2 bytes
VCMD_SIZE	.equ	$f8
SPR_UPD		.equ	$f9
;SYS_WORK	.equ	$fa
SUS_IRQ_X	.equ	$fb
SUS_IRQ_Y	.equ	$fc
SUS_NMI_X	.equ	$fd
SUS_NMI_Y	.equ	$fe
SYS_CNT		.equ	$ff

VCMD_DATA	.equ	$0100
VCMD_LIMIT	.equ	$01a0
STK_BASE	.equ	$01d0
; for sound driver $01d0 .. $01df
SUS_WORK	.equ	$01e0 ; 20 bytes
VCMD_SEQ	.equ	$01f4
TSK_FNC		.equ	$01f6
FRM_FNC		.equ	$01f8
IRQ_FNC		.equ	$01fb
NMI_FNC		.equ	$01fe

SPR_DATA	.equ	$0200

; for sound driver $0300 .. $037f
; for user $0380 .. $07ff

JOY_UP		.equ	$10
JOY_DOWN	.equ	$20
JOY_RIGHT	.equ	$80
JOY_LEFT	.equ	$40
JOY_A		.equ	$01
JOY_B		.equ	$02
JOY_SELECT	.equ	$04
JOY_START	.equ	$08

VCMD_SET	.macro
		.dw	(\4)-(\3)+((\1)<<8), (\2), (\3)
		.endm

VCX	.func	(((\1)<<5)|((\2)-1))

