; [U^XN(C)

	; 
User:
	; XN[It
	lda	#$00
	sta	$2001

	; ~[O
	lda	#$01	; ~[O
	sta	$a000

	; oN؂ւ
	ldx	#$00
	ldy	#BANK_CHR_FRAME
	stx	$8000
	sty	$8001	; set CHR ROM to 0x0000 .. 0x07ff
	inx		; same as ldx #$01
	ldy	#BANK_CHR_MAP
	stx	$8000
	sty	$8001	; set CHR ROM to 0x0800 .. 0x0fff

	inx		; same as ldx #$02
	ldy	#BANK_CHR_PLAYER
	stx	$8000
	sty	$8001	; set CHR ROM to 0x1000 .. 0x13ff
	inx		; same as ldx #$03
	ldy	#BANK_CHR_SHOT
	stx	$8000
	sty	$8001	; set CHR ROM to 0x1400 .. 0x17ff
	inx		; same as ldx #$04
	ldy	#BANK_CHR_BOSS
	stx	$8000
	sty	$8001	; set CHR ROM to 0x1800 .. 0x1bff
	inx		; same as ldx #$05
	ldy	#BANK_CHR_BOSS
	stx	$8000
	sty	$8001	; set CHR ROM to 0x1c00 .. 0x1fff

	lda	#BANK_PRG_SMC
	jsr	SetPrgBankA
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	; PRG-RAMݒ
	lda	#$80
	sta	$a001

	ldx	#LOW(CopyMemoryParam_SMC)
	ldy	#HIGH(CopyMemoryParam_SMC)
	jsr	CopyMemory

	jsr	SMCL(ClearExtWorkMemory)

	lda	#BANK_PRG_MENU
	jsr	SetPrgBankA

	; pbg
	lda	#PS_BG_SELECT
	jsr	Pal_SetBGPalette
	lda	#PS_SP_GAME
	jsr	Pal_SetSPPalette
	lda	#$40
	jsr	Vcmd_SetPalette

	; XN[ݒ
	lda	#$00
	sta	<SCROLL_X
	sta	<SCROLL_Y

	; @/G~[^
	lda	#LOW(User_Nmi_MC)
	sta	NMI_FNC
	lda	#HIGH(User_Nmi_MC)
	sta	NMI_FNC+1

	lda	#LOW(User_Irq_MC)
	sta	IRQ_FNC
	lda	#HIGH(User_Irq_MC)
	sta	IRQ_FNC+1
	lda	#1
	sta	<IRQ_LINE

	jsr	Yeild		; t[܂őҋ@

	lda	#$2f
	ldy	#$1d
	ldx	#3
.1:
	sta	$2006
	sty	$2006
	sty	$2007
	eor	#$10
	dex
	bpl	.1
	lda	$00
	sta	$c000
	sta	$e000
	sta	<IRQ_LINE

	; NMI^XNݒ
	lda	#LOW(User_Nmi)
	sta	NMI_FNC
	lda	#HIGH(User_Nmi)
	sta	NMI_FNC+1

	; IRQ^XNݒ
	lda	SYS_REAL
	beq	.2
	ldx	#LOW(User_Irq_Real)
	ldy	#HIGH(User_Irq_Real)
	bne	.3	; same as jmp
.2:
	ldx	#LOW(User_Irq_Emu)
	ldy	#HIGH(User_Irq_Emu)
.3:
	stx	IRQ_FNC
	sty	IRQ_FNC+1
	lda	#7
	sta	<IRQ_LINE

	; jmpߐݒ
	lda	#$6c
	sta	<USR_FNC-1
	sta	<EN_FNC-1
	sta	<SH_FNC-1
	lda	#HIGH(FN_EN_UPD)
	sta	<USR_FNC+1
	lda	#HIGH(EN_CB)
	sta	<EN_FNC+1
	lda	#HIGH(SH_CB)
	sta	<SH_FNC+1

	; TEhݒ
	; SE͓oNɊi[Ă̂ŏɂP񂾂ݒ
	lda	#($80+BANK_PRG_DATA)
	jsr	SoundDriver_SetBankSE

	; ϐ
	lda	#$00
	sta	<JOY_PREV	; Pt[O̓͏
	sta	JOY_SLOW
	lda	#JOY_B
	sta	JOY_SHOT
	lda	#JOY_A
	sta	JOY_BOMB

	; XvCg
	jsr	Spr_Init

	jsr	Yeild_SetEntry	; t[͂

	; ʏ
	ldx	#LOW(Vcmd_Clear)
	ldy	#HIGH(Vcmd_Clear)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	; XN[I
	lda	#$88
	sta	<PPU_REG1
	sta	$2000
	lda	#$1e
	sta	$2001

	jsr	Yeild		; t[܂őҋ@

Title_Init1:
	; BGMt
	ldx	#1
	stx	MUSIC_POS
	jsr	Bgm_Control

Title_Init2:
	; [N揉
	lda	#0
	ldx	#3
	jsr	Joy_Menu_Init

	; BGpoN؂ւ
	lda	#BANK_CHR_TITLE
	ldx	#$00
	jsr	Util_SetSyncBank
	lda	#BANK_CHR_TITLE+2
	sta	BGS_BANK
	ldx	#$01
	jsr	Util_SetSyncBank

	; SPpoN؂ւ
	lda	#BANK_CHR_TITLE2
	ldx	#$02
	jsr	Util_SetSyncBank

	; pbgݒ
	lda	#PS_BG_TITLE
	jsr	Pal_SetBGPalette
	lda	<CUR_POS
	ora	#PS_SP_TITLE
	jsr	Pal_SetSPPalette

	; ʃ[h
	lda	#$40
	sta	<IRQ_MODE

	; XN[ݒ
	lda	#$00
	sta	<SCROLL_X
	jsr	Yeild_SetEntry

	; ʘg`
	ldx	#LOW(Vcmd_Title)
	ldy	#HIGH(Vcmd_Title)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	ldx	<CUR_POS
	lda	Vcmd_TitleOn_lo,x
	ldy	Vcmd_TitleOn_hi,x
	tax
	jsr	Vcmd_SequenceData

	; XvCg`
	jsr	Spr_Init

	lda	#1
	sta	<SPR_INX

	lda	#128
	sta	<FNC_ARG
	lda	#168
	sta	<FNC_ARG+1
	ldx	#LOW(Spr_Data_Title_Reimu)
	ldy	#HIGH(Spr_Data_Title_Reimu)
	jsr	Spr_Put

	; tF[hC
	jsr	FadeIn

Title_Main:
	jsr	Joy_Menu

	; \XV
	ldx	<CUR_POS
	cpx	<CUR_PREV
	beq	.1

	lda	Vcmd_TitleOn_lo,x
	ldy	Vcmd_TitleOn_hi,x
	tax
	jsr	Vcmd_SequenceData

	ldx	#LOW(Se_Select_PlayData)
	ldy	#HIGH(Se_Select_PlayData)
	jsr	SoundDriver_PlaySE
.1:

	; is
	lda	<CUR_RESULT
	bmi	.5
	beq	.5	; Start
	cmp	#1
	beq	.3
	; Option or HowToPlay or Cancel
	ldx	#LOW(Se_Cancel_PlayData)
	ldy	#HIGH(Se_Cancel_PlayData)
	jsr	SoundDriver_PlaySE
	lda	#$ff
	sta	<CUR_RESULT
	bne	.5
.3:
	.if	0
	; SEeXg
	lda	<JOYPAD
	and	#JOY_A
	beq	.90
	ldx	#0
	jsr	Bgm_Control
.90:
	ldx	#LOW(Se_Pause_PlayData)
	ldy	#HIGH(Se_Pause_PlayData)
	jsr	SoundDriver_PlaySE

	.else
	.if	0
	; BGMeXg
	ldx	#7
	jsr	Bgm_Control

	.else

	; BGMZNg
	ldx	MUSIC_POS
	inx
	cpx	#8
	bcc	.90
	ldx	#0
.90:
	stx	MUSIC_POS
	jsr	Bgm_Control

	.endif
	.endif

	lda	#$ff
	sta	<CUR_RESULT

.5:
	jsr	Yeild_Eq	; t[܂őҋ@

	ldx	#LOW(Se_Ok_PlayData)
	ldy	#HIGH(Se_Ok_PlayData)
	jsr	SoundDriver_PlaySE

	; XvCg
	jsr	Spr_Init

	; tF[hAEg
	jsr	FadeOut

Select_Init:
	; [N揉
	lda	<PL_T
	ldx	#5
	jsr	Joy_Menu_Init

	; BGpoN؂ւ
	ldx	#$00
	ldy	#BANK_CHR_SELECT
	stx	$8000
	sty	$8001	; set CHR ROM to 0x0000 .. 0x07ff

	; SPpoN؂ւ
;	ldx	#$02
;	ldy	#BANK_CHR_FIGURE
;	stx	$8000
;	sty	$8001	; set CHR ROM to 0x1000 .. 0x13ff
	ldx	#$03
	ldy	#BANK_CHR_NAME
	stx	$8000
	sty	$8001	; set CHR ROM to 0x1400 .. 0x17ff

	lda	<CUR_POS
	lsr	a
	tax
	lda	Spr_Figure_Player_bank,x
	ldx	#$02
	jsr	Util_SetSyncBank

	; pbgݒ
	lda	#PS_BG_SELECT
	jsr	Pal_SetBGPalette
	lda	<CUR_POS
	ora	#PS_SP_SELECT
	jsr	Pal_SetSPPalette

	; ʃ[h
	lda	#$40
	sta	<IRQ_MODE

	; XN[ݒ
	lda	#$04
	sta	<SCROLL_X

	jsr	Yeild_SetEntry

	; ʘg`
	ldx	#LOW(Vcmd_Select)
	ldy	#HIGH(Vcmd_Select)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	ldx	<CUR_POS
	lda	Vcmd_SelectOn_lo,x
	ldy	Vcmd_SelectOn_hi,x
	tax
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	; tF[hC
	jsr	FadeIn

Select_Main:
	lda	#16
	sta	<USR_CNT
	jsr	Yeild_SetEntry

	jsr	Joy_Menu

	; \XV
	lda	#1
	sta	<SPR_INX

	lda	<CUR_POS
	cmp	<CUR_PREV
	beq	.1

	lsr	a
	tax
	lda	Spr_Figure_Player_bank,x
	ldx	#$02
	jsr	Util_SetSyncBank

	lda	<CUR_POS
	ora	#PS_SP_SELECT
	jsr	Pal_SetSPPalette
	lda	#$04
	jsr	Vcmd_SetPalette

	ldx	<CUR_PREV
	lda	Vcmd_SelectOff_lo,x
	ldy	Vcmd_SelectOff_hi,x
	tax
	jsr	Vcmd_SequenceData

	ldx	<CUR_POS
	lda	Vcmd_SelectOn_lo,x
	ldy	Vcmd_SelectOn_hi,x
	tax
	jsr	Vcmd_SequenceData

	ldx	#LOW(Se_Select_PlayData)
	ldy	#HIGH(Se_Select_PlayData)
	jsr	SoundDriver_PlaySE

	lda	#16
	sta	<USR_CNT
.1:

	lda	<USR_CNT
	beq	.2
	dec	<USR_CNT
	lda	<CUR_POS
	asl	a
	asl	a
	asl	a
	ora	#$0f
	eor	<USR_CNT
	lsr	a
	tax
	lda	Vcmd_SelectByword_lo,x
	ldy	Vcmd_SelectByword_hi,x
	tax
	jsr	Vcmd_SequenceData
.2:

	lda	<USR_CNT
	clc
	adc	#120
	tax
	ldy	#120
	lda	<CUR_POS
	asl	a
	asl	a
	and	#$f8
	ora	#$20
	jsr	Spr_PutFigure_Player

	lda	#88
	sec
	sbc	<USR_CNT
	tay
	ldx	#64
	lda	<CUR_POS
	lsr	a
	jsr	Spr_PutName_Player

	lda	<SPR_INX
	beq	.4
	and	#$fc
	tax
.3:
	lda	#240
	sta	SPR_DATA,x
	lda	Int+4,x
	tax
	bne	.3
.4:
	lda	#1
	sta	<SPR_UPD

	; is
	lda	<CUR_RESULT
	bmi	.6
	cmp	#$40	; Cancel
	bcc	.5

	lda	<CUR_POS
	sta	<PL_T

	ldx	#LOW(Se_Cancel_PlayData)
	ldy	#HIGH(Se_Cancel_PlayData)
	jsr	SoundDriver_PlaySE

	; tF[hAEg
	jsr	FadeOut

	jmp	Title_Init2

.5:
	sta	<PL_T
	lda	#0
.6:
	jsr	Yeild_Eq	; t[܂őҋ@

	ldx	#LOW(Se_Ok_PlayData)
	ldy	#HIGH(Se_Ok_PlayData)
	jsr	SoundDriver_PlaySE

	; tF[hAEg
	jsr	FadeOut

	; XvCg
	jsr	Spr_Init

	; BGM~
	ldx	#0
	jsr	Bgm_Control

Game_Init:	; Q[{̂ɈڍsP񂾂̏
	; ʃ[h
	lda	#$00
	sta	<IRQ_MODE

;	lda	#$00
	sta	<DSP_FLAG
	.if	0	; for debug
	lda	#1
	.endif
	sta	ST_NUM

	; CxgV[PT
	jsr	EventSeq_Init

	; g[NV[PT
	jsr	TalkSeq_Init

	; vC[p[`̓]
	lda	<PL_T
	lsr	a
	ora	#BANK_PRG_PLAYER
	jsr	SetPrgBankA

	ldx	<PL_T
	lda	CopyMemoryParam_PLC1_L,x
	ldy	CopyMemoryParam_PLC1_H,x
	tax
	jsr	CopyMemory

	ldx	<PL_T
	lda	CopyMemoryParam_PLC2_L,x
	ldy	CopyMemoryParam_PLC2_H,x
	tax
	jsr	CopyMemory

	lda	#BANK_PRG_MENU
	jsr	SetPrgBankA

	; vC[
	lda	#0
	sta	<PL_SCORE
	sta	<PL_SCORE+1
	sta	<PL_SCORE+2
	sta	<PL_S
	ldx	#(PL_POINT_BASE+2-PL_STOCK-1)
.1:
	sta	PL_STOCK,x
	dex
	bpl	.1

	lda	#2
	sta	PL_STOCK
	lda	PLC_BOMB
	sta	PL_BOMB

	ldx	#3
.2:
	lda	PLC_SPEED_PRIM,x
	sta	PLC_SPEED,x
	dex
	bpl	.2

	lda	ExtendTable_L
	sta	PL_POINT_NEXT
	lda	ExtendTable_H
	sta	PL_POINT_NEXT+1
	lda	#1
	sta	EXTEND_INX
	lda	#LOW(20000)
	sta	PL_CHERRY_MAX
	lda	#HIGH(20000)
	sta	PL_CHERRY_MAX+1

	; BGpoN؂ւ
	lda	#BANK_CHR_FRAME
	ldx	#$00
	jsr	Util_SetSyncBank

	; pbg
	lda	#PS_BG_FRAME
	jsr	Pal_SetBGPalette

	jsr	Yeild_SetEntry

	; ʘg`
	ldx	#LOW(Vcmd_Frame)
	ldy	#HIGH(Vcmd_Frame)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	; `
	jsr	Vcmd_ReflectHiScore	; nCXRA
.reflect1:
	jsr	Vcmd_ReflectStock	; c@
	lda	PL_STOCK
	cmp	PL_STOCK+1
	bne	.reflect1
.reflect2:
	jsr	Vcmd_ReflectBomb	; {
	lda	PL_BOMB
	cmp	PL_BOMB+1
	bne	.reflect2
	jsr	Vcmd_ReflectPointNext	; |Cg(GNXeh)
	jsr	Vcmd_ReflectCherryMax	; _ől

	jsr	Yeild		; t[܂őҋ@

	; tF[hC
	jsr	FadeIn

Game_Setup:	; Xe[WJnƂ̏
	; : ʂ\܂܂ŏ̂
	;       ꂪoȂ悤ɂ邱

	; Xe[WCfbNX̃Rs[
	lda	ST_NUM
;	ora	#BANK_PRG_INDEX
	jsr	SetPrgBankA
	jsr	SMCL(CopyStageIndex)

	; Frame^XNݒ
	lda	#LOW(User_Frame_StageStart)
	sta	FRM_FNC
	lda	#HIGH(User_Frame_StageStart)
	sta	FRM_FNC+1

	lda	#$00
	sta	BGS_UPD_CNT

	; ʃ[h
;	lda	#$00
	sta	<IRQ_MODE

	; oN؂ւ
	lda	SEQ_BANK_EVENT
	jsr	SetPrgBankA
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	lda	SEQ_BASE_BG
	sta	BGS_BASE

	lda	<PL_T
	and	#$06
	lsr	a
;	clc
	adc	#BANK_CHR_PLAYER
	ldx	#$02
	jsr	Util_SetSyncBank

	inx		; same as ldx #$03
	lda	#BANK_CHR_SHOT
	jsr	Util_SetSyncBank

	; vC[
	lda	#0
	sta	<PL_S
	sta	<PL_REQ
	sta	<PL_INV_CNT
	sta	PL_BORDER_TIME
	lda	#64
	sta	<PL_X
	lda	#$1f
	sta	<PL_CNT
	lda	PL_POINT
	sta	PL_POINT_BASE
	lda	PL_POINT+1
	sta	PL_POINT_BASE+1
	lda	PL_GRAZE
	sta	PL_GRAZE_BASE
	lda	PL_GRAZE+1
	sta	PL_GRAZE_BASE+1

	; pbgݒ
	lda	#PS_BG_FRAME
	jsr	Pal_SetBGPalette
	lda	#PS_SP_GAME
	jsr	Pal_SetSPPalette
	lda	#$00
	jsr	Vcmd_SetPalette

	; BGV[PTݒ
	jsr	BGSeq_Init
	ldx	#0
	lda	SEQ_TBL_LAND
	ldy	SEQ_TBL_LAND+1
	jsr	BGSeq_SetSeq
	jsr	BGSeq_ClearPalette

	; CxgV[PTݒ
	ldx	SEQ_TBL
	ldy	SEQ_TBL+1
	jsr	EventSeq_SetSeq

	; XvCg
	jsr	Spr_Init

	; G
	jsr	Enemy_Init

	; eǗ
	jsr	Shot_Init

	; ̑[N揉
	lda	#$00
	sta	<USR_CNT
	sta	<TRI_CNT
	sta	<SND_SE
	sta	<SND_SE+1
	sta	EN_TIME
	sta	EN_FNC_REFLECT+1
	lda	#$ff
	sta	<EN_BOSS_INX
	sta	<EN_BOSS_INX+1
	sta	<EN_BOSS_INX+2

	jsr	Yeild_SetEntry

Game_Start:	; Xe[WJn̉o

	lda	#BANK_PRG_DRAW
	jsr	SetPrgBankA

	lda	#1
	sta	<SPR_INX

	ldx	<PL_CNT
	bmi	.1
	lda	Player_EnterPosY,x
	sta	<PL_Y
	dec	<PL_CNT
.1:
	jsr	PLC_PL_DRAW

	lda	<SPR_INX
	beq	.draw2
	and	#$fc
	tax
.draw1:
	lda	#240
	sta	SPR_DATA,x
	lda	Int+4,x
	tax
	bne	.draw1
.draw2:

	lda	#1
	sta	<SPR_UPD

	lda	SEQ_BANK_EVENT
	jsr	SetPrgBankA

	inc	<USR_CNT
	lda	<TRI_CNT
	cmp	#2
	adc	#1
	and	#$03
	sta	<TRI_CNT

	; }bv`抮҂
	lda	BGS_UPD_CNT
	cmp	#$ff
	jsr	Yeild_Eq	; t[܂őҋ@

	jsr	Yeild	; t[܂őҋ@

	; Frame^XNݒ
	lda	#LOW(User_Frame_Game)
	sta	FRM_FNC
	lda	#HIGH(User_Frame_Game)
	sta	FRM_FNC+1

	lda	#$00
	sta	ST_CNT
	sta	ST_CNT+1
	sta	BGS_UPD_CNT
	sta	<PL_CNT

Game_Start2:
	jsr	Yeild_SetEntry

Game_Main:
	lda	<PL_REQ
	and	#$10
	beq	.evupd

	jsr	Joy_Pause
	lda	<JOYPAD
	sta	<JOY_PREV
	jmp	.draw
.evupd:
	; CxgV[PTXV
	jsr	EventSeq_Update
	sta	<USR_WORK

	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	; 
	.if	OPT_DISABLE_FALL
	.else	; OPT_DISABLE_FALL

	lda	<PL_S
	and	#$a0
	bne	.joy1

	.endif	; OPT_DISABLE_FALL

	jsr	Joy_Player
	lda	<JOYPAD
	sta	<JOY_PREV
.joy1:

	; XV
	lda	<PL_S
	and	#$a0
	bne	.upd1
	jsr	PLC_PL_UPDATE
	jmp	.upd2
.upd1:
	jsr	Player_UpdateRetire
.upd2:
	lda	<PL_INV_CNT
	beq	.upd3
	dec	<PL_INV_CNT
.upd3:
	jsr	Enemy_Update
	lda	<PL_REQ
	bmi	.upd4
	jsr	Shot_Update
.upd4:
	ldx	#8
	lda	QUAKE_CNT
	beq	.upd5
	dec	QUAKE_CNT
	bne	.upd6
.upd5:
	lda	<PL_REQ
	and	#$20
	beq	.upd7
.upd6:
	jsr	Rand
	and	#$07
	tax
.upd7:
	lda	QuakePos,x
	sta	<SCROLL_X
	lda	QuakePos+9,x
	sta	<IRQ_LINE

	lda	<USR_CNT
	and	#$07
	bne	.upd10
	lda	PL_BORDER_TIME
	bmi	.upd8
	beq	.upd10
	dec	PL_BORDER_TIME
	bne	.upd10
	jsr	Player_ConvergeBorder
	jmp	.upd9	; same as jmp
.upd8:
	dec	PL_BORDER_TIME
	cmp	#$fd
	bcs	.upd10
	lda	#$00
	sta	PL_BORDER_TIME
.upd9:
	lda	#$02
	ora	<BGC_PAL
	sta	<BGC_PAL
	lda	<BGC_REF+1
	ora	#(BGF_PALETTE)
	sta	<BGC_REF+1
.upd10:

	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	; \
.draw:
	lda	#1
	sta	<SPR_INX

	lda	#BANK_PRG_DRAW
	jsr	SetPrgBankA

	lda	<PL_S
	bmi	.draw1
	jsr	PLC_PL_DRAW
	jmp	.draw2
.draw1:
	jsr	Player_DrawRetire
.draw2:
	jsr	Enemy_Draw
	jsr	SMCL(Shot_Draw)
	jsr	BGSeq_DrawLayer

	lda	SEQ_BANK_EVENT
	jsr	SetPrgBankA

	lda	<SPR_INX
	beq	.draw4
	and	#$fc
	tax
.draw3:
	lda	#240
	sta	SPR_DATA,x
	lda	Int+4,x
	tax
	bne	.draw3
.draw4:

	lda	#1
	sta	<SPR_UPD

	; SEt
	jsr	Bgm_PlaySE

	; JE^XV
	inc	<USR_CNT
	lda	<TRI_CNT
	cmp	#2
	adc	#1
	and	#$03
	sta	<TRI_CNT

	; ԑJ
	lda	PL_STOCK
	bpl	.next1
	lda	<PL_S
	bmi	.next1
	jmp	Game_Cont
.next1:
	lda	<USR_WORK
	bmi	Game_End
	bne	.next2
	jsr	Yeild_ReEntry
.next2:
	jmp	Talk_Start

Game_End:	; Xe[WỈo
	; oN؂ւ
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	; XvCg
	jsr	Spr_Init

	; vC[
	lda	#0
	sta	PL_BORDER_TIME

	; pbgݒ
	lda	#PS_BG_FRAME
	jsr	Pal_SetBGPalette
	lda	#$00
	jsr	Vcmd_SetPalette

	; Frame^XNݒ
	lda	#LOW(User_Frame_StageEnd)
	sta	FRM_FNC
	lda	#HIGH(User_Frame_StageEnd)
	sta	FRM_FNC+1

	lda	#7
	sta	<IRQ_LINE

	lda	#$00
	sta	BGS_UPD_CNT

	jsr	Yeild	; t[܂őҋ@

	; XRA{[h`抮҂
	lda	BGS_UPD_CNT
	cmp	#$ff
	jsr	Yeild_Eq	; t[܂őҋ@

	; ʂFront/BackԂɖ߂
	lda	#$00
	sta	<IRQ_MODE

	; LoN؂ւ
	lda	#BANK_CHR_FRAME2
	sta	BGS_BANK

	jsr	Yeild_SetEntry

	; Xe[WNA`
	ldx	#LOW(Vcmd_StageClear)
	ldy	#HIGH(Vcmd_StageClear)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	lda	#0
	sta	<MATH_REG+6
	sta	<MATH_REG+7
	sta	<MATH_REG+8

	; NA{[iX`
	lda	#$a0
	sta	<MATH_REG+3
	lda	#$86
	sta	<MATH_REG+4
	lda	#$01
	sta	<MATH_REG+5
	ldx	ST_NUM
	inx
	txa
	ldx	#0
	ldy	#3
	jsr	Math_MulReg
	jsr	Math_RegToBCD
	ldx	#6
	ldy	#0
	jsr	Math_AddReg
	ldx	#0
	jsr	Vcmd_Bonus
	jsr	Util_AddScoreReg
	jsr	Vcmd_ReflectScore

	jsr	Yeild	; t[܂őҋ@

	jsr	Vcmd_ReflectHiScore

	jsr	Yeild	; t[܂őҋ@

	; |Cg{[iX`
	lda	PL_POINT
	sec
	sbc	PL_POINT_BASE
	sta	<MATH_REG
	lda	PL_POINT+1
	sbc	PL_POINT_BASE+1
	sta	<MATH_REG+1
	ldy	#0
	sty	<MATH_REG+2
	ldx	#3
	lda	#50
	jsr	Math_MulReg
	ldy	#3
	ldx	#0
	lda	#100
	jsr	Math_MulReg
	jsr	Math_RegToBCD
	ldx	#6
	ldy	#0
	jsr	Math_AddReg
	ldx	#1
	jsr	Vcmd_Bonus
	jsr	Util_AddScoreReg
	jsr	Vcmd_ReflectScore

	jsr	Yeild	; t[܂őҋ@

	jsr	Vcmd_ReflectHiScore

	jsr	Yeild	; t[܂őҋ@

	; OCY{[iX`
	lda	PL_GRAZE
	sec
	sbc	PL_GRAZE_BASE
	sta	<MATH_REG+3
	lda	PL_GRAZE+1
	sbc	PL_GRAZE_BASE+1
	sta	<MATH_REG+4
	ldx	#0
	stx	<MATH_REG+5
	ldy	#3
	lda	#50
	jsr	Math_MulReg
	jsr	Math_RegToBCD
	ldx	#6
	ldy	#0
	jsr	Math_AddReg
	ldx	#2
	jsr	Vcmd_Bonus
	jsr	Util_AddScoreReg
	jsr	Vcmd_ReflectScore

	jsr	Yeild	; t[܂őҋ@

	jsr	Vcmd_ReflectHiScore

	jsr	Yeild	; t[܂őҋ@

	; _{[iX`
	lda	PL_CHERRY_MAX
	sta	<MATH_REG+3
	lda	PL_CHERRY_MAX+1
	sta	<MATH_REG+4
	ldx	#0
	stx	<MATH_REG+5
	ldy	#3
	lda	#10
	jsr	Math_MulReg
	jsr	Math_RegToBCD
	ldx	#6
	ldy	#0
	jsr	Math_AddReg
	ldx	#3
	jsr	Vcmd_Bonus
	jsr	Util_AddScoreReg
	jsr	Vcmd_ReflectScore

	jsr	Yeild	; t[܂őҋ@

	jsr	Vcmd_ReflectHiScore

	jsr	Yeild	; t[܂őҋ@

	; {[iX`
	ldx	#0
	ldy	#6
	jsr	Math_MoveReg
	jsr	Math_RegToBCD
	ldx	#6
	jsr	Vcmd_Bonus

	jsr	Yeild	; t[܂őҋ@

	; ҂
	lda	#0
	sta	<JOY_CNT1

	; Ȃ~߂
	jsr	SoundDriver_Fadeout

	jsr	Yeild	; t[܂őҋ@

	; ҂
	jsr	Joy_Waiting
	bvs	.1
	jsr	Yeild_ReEntry
.1:
	jsr	Yeild_SetEntry

	; ŏIʔ
	lda	ST_NUM
	cmp	#1
	bcs	.2

	; ʏ
	ldx	#LOW(Vcmd_BoardClear)
	ldy	#HIGH(Vcmd_BoardClear)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	inc	ST_NUM		; Xe[WɈڍs
	jmp	Game_Setup

.2:
	; bZ[W\
	ldx	#LOW(Vcmd_Apology)
	ldy	#HIGH(Vcmd_Apology)
	jsr	Vcmd_SequenceData

	; ҂
	lda	#0
	sta	<JOY_CNT1

	jsr	Yeild	; t[܂őҋ@

	; ҂
	jsr	Joy_Waiting
	bvs	.3
	jsr	Yeild_ReEntry
.3:
	jsr	Yeild_SetEntry

	; tF[hAEg
	jsr	FadeOut

	; oN؂ւ
	lda	#BANK_PRG_MENU
	jsr	SetPrgBankA
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	jmp	Title_Init1

Game_Cont:
	; Frame^XNݒ
	lda	#$00
	sta	FRM_FNC
	sta	FRM_FNC+1

	lda	#7
	sta	<IRQ_LINE

	jsr	Yeild	; t[܂őҋ@

	; oN؂ւ
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	lda	#BANK_CHR_CONT
	ldx	#$03
	jsr	Util_SetSyncBank

	; pbgݒ
	lda	#PS_SP_CONTINUE
	jsr	Pal_SetSPPalette
	lda	#$00
	jsr	Vcmd_SetPalette

	; XvCg
	jsr	Spr_Init

	; XvCgݒ
	lda	#64
	sta	<FNC_ARG
	sta	<FNC_ARG+1
	ldx	#LOW(Spr_Data_Gameover)
	ldy	#HIGH(Spr_Data_Gameover)
	jsr	Spr_Put

	jsr	Yeild	; t[܂őҋ@

	; ҂
	lda	#0
	sta	<JOY_CNT1

	; Ȃ~߂
;	ldx	#0
	tax
	jsr	Bgm_Control

	jsr	Yeild	; t[܂őҋ@

	; ҂
	jsr	Joy_Waiting
	bvs	.1
	jsr	Yeild_ReEntry
.1:
	jsr	Yeild_SetEntry

	; XvCg
	jsr	Spr_Init

	; tF[hAEg
	jsr	FadeOut

	; oN؂ւ
	lda	#BANK_PRG_MENU
	jsr	SetPrgBankA
	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	jmp	Title_Init1

Talk_Start:
	asl	a
	asl	a
	tax

	lda	#7
	sta	<IRQ_LINE

	stx	<FNC_WORK
	lda	SEQ_TBL_TALK+2-4,x
	ldy	SEQ_TBL_TALK+3-4,x
	tax
	jsr	TalkSeq_SetSeq

	ldx	<FNC_WORK
	lda	SEQ_TBL_TALK+1-4,x
	sta	<IRQ_BANK+1
	lda	SEQ_TBL_TALK+0-4,x
	sta	TKS_BANK

	jsr	Yeild_SetEntry

	; bʂӂ
	ldx	#LOW(Vcmd_Talk)
	ldy	#HIGH(Vcmd_Talk)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	; XvCgoNԍޔ
	lda	SYN_BANK+3
	sta	TKS_SAVE_BANK
	lda	SYN_BANK+6
	sta	TKS_SAVE_BANK+1

	; bʕ\
	lda	<IRQ_MODE
	and	#$cf
	ora	#SSF_MODE_TALK
	sta	<IRQ_MODE

	lda	#0
	sta	TKS_POS
	sta	TKS_DISP
	sta	TKS_CTRL

	jsr	Yeild_SetEntry
Talk_Main:
	lda	$9fff	; oNԍۑ
	sta	<USR_WORK+1
	lda	TKS_BANK
	jsr	SwitchPrgBankA

	lda	#BANK_PRG_DATA
	jsr	SetPrgBankB

	; g[NV[PTXV
	jsr	TalkSeq_Update
	sta	<USR_WORK

	lda	<USR_WORK+1
	jsr	SwitchPrgBankA

	; 
	lda	TKS_CTRL
	bpl	.joy1
	jsr	Joy_Waiting
	bvc	.joy1
	lda	#$c0
	sta	TKS_CTRL
.joy1:

	; \
	lda	#1
	sta	<SPR_INX

	lda	TKS_DISP
	bmi	.draw1
	jmp	.draw9
.draw1:
	and	#$07
	sta	TKS_DISP
	beq	.draw2
	dec	TKS_DISP

	; lCHRoNݒ
	lda	<PL_T
	and	#$06
	lsr	a
	tax
	lda	Spr_Figure_Player_bank,x
	ldx	#$02
	jsr	Util_SetSyncBank

	; l\
	ldx	#72
	ldy	#128
	lda	<PL_T
	and	#$06
	asl	a
	asl	a
	ora	TKS_DISP
	ora	#$20
	jsr	Spr_PutFigure_Player
.draw2:
	lda	TKS_DISP+1
	and	#$3f
	beq	.draw3

	; G{XCHRoNݒ
;	lda	TKS_DISP+1
;	and	#$3f
	lsr	a
	lsr	a
	tax
	lda	Spr_Figure_Enemy_bank-1,x
	ldx	#$05
	jsr	Util_SetSyncBank

	; G{X\
	ldx	#184
	ldy	#128
	lda	TKS_DISP+1
	and	#$3f
	sec
	sbc	#$05	; Lԍ \ԍ ꂼꂩ1
	jsr	Spr_PutFigure_Enemy
.draw3:
	lda	TKS_DISP+1
	and	#$c0
	beq	.draw5

	; ӂ\
	asl	a
	bpl	.draw4
	lda	#72-4
	jsr	Spr_PutFigure_Balloon
.draw4:
	bcc	.draw5
	lda	#184-4
	jsr	Spr_PutFigure_Balloon

.draw5:
	; pbgݒ
	lda	TKS_DISP+1
	and	#$3c
	bne	.draw6
	ora	#$04
.draw6:
	lsr	a
	lsr	a
;	clc
	adc	#PS_SP_TALK-1	; Lԍ1PS_SP_TALK
	jsr	Pal_SetSPPalette
	lda	#$04
	jsr	Vcmd_SetPalette

	lda	<SPR_INX
	beq	.draw8
	and	#$fc
	tax
.draw7:
	lda	#240
	sta	SPR_DATA,x
	lda	Int+4,x
	tax
	bne	.draw7
.draw8:

	lda	#1
	sta	<SPR_UPD
.draw9:

	; SEt
	jsr	Bgm_PlaySE

	; JE^XV
	inc	<USR_CNT
	lda	<TRI_CNT
	cmp	#2
	adc	#1
	and	#$03
	sta	<TRI_CNT

	; ԑJ
	lda	TKS_CTRL
	lsr	a
	bcs	Talk_Clear

	lda	<USR_WORK
	bne	Talk_End
	jsr	Yeild_ReEntry

Talk_Clear:
	jsr	Yeild_SetEntry

	; bʂӂ
	ldx	#LOW(Vcmd_Talk)
	ldy	#HIGH(Vcmd_Talk)
	jsr	Vcmd_SequenceData

	jsr	Yeild_Eq	; t[܂őҋ@

	lda	#$00
	sta	TKS_CTRL
	jmp	Talk_Main-3

Talk_End:
	; XvCgoNԍ
	lda	TKS_SAVE_BANK
	ldx	#2
	jsr	Util_SetSyncBank
	lda	TKS_SAVE_BANK+1
	ldx	#5
	jsr	Util_SetSyncBank

	; ʏʕ\
	lda	<IRQ_MODE
	and	#$cf
	ora	#SSF_MODE_NORMAL
	sta	<IRQ_MODE

	ldx	#$00
	ldy	#$00
	jsr	TalkSeq_SetSeq

	jmp	Game_Start2

	; tF[hC
FadeIn:
	lda	#$07
	sta	<USR_CNT
	jsr	Yeild_SetEntry

	lda	<USR_CNT
	asl	a
	asl	a
	asl	a
	and	#$f0
	jsr	Vcmd_SetPalette

	dec	<USR_CNT
	bne	.1
	jmp	Yeild	; t[܂őҋ@
.1:
	jmp	_ReEntry

	; tF[hAEg
FadeOut:
	lda	#$01
	sta	<USR_CNT
	jsr	Yeild_SetEntry

	lda	<USR_CNT
	asl	a
	asl	a
	asl	a
	and	#$f0
	jsr	Vcmd_SetPalette

	inc	<USR_CNT
	lda	<USR_CNT
	cmp	#$09
	bne	.1
	jmp	Yeild	; t[܂őҋ@
.1:
	jmp	_ReEntry

	; @pNmi
User_Nmi_MC:
	pla
	pla
	ldy	<SUS_NMI_Y
	ldx	<SUS_NMI_X
	pla
	rti

	; @pIrq
User_Irq_MC:
	lda	#$00
	sta	$c000
	sta	$e000
	sta	<IRQ_LINE
	inc	SYS_REAL
	rts

User_Nmi:
	lda	<PPU_REG1
	and	#$fc
	sta	<PPU_REG1

	lda	<IRQ_MODE
	lsr	a
	lsr	a
	lsr	a
	tax
	lda	Irq_ModeTableL,x
	sta	<IRQ_TBL
	lda	Irq_ModeTableH,x
	sta	<IRQ_TBL+1

	ldx	#$01
	lda	<IRQ_MODE
	and	#$07
	asl	a
	adc	BGS_BANK	; BGS_BANK+(IRQ_MODE&7)*2
	stx	$8000
	sta	$8001
	sta	<IRQ_BANK

;	lda	#BANK_CHR_TALK
;	sta	<IRQ_BANK+1

	ldy	#0
	lda	[IRQ_TBL],y
	sta	<IRQ_X
	iny
	lda	[IRQ_TBL],y
	sta	<IRQ_Y
	iny
	sty	<IRQ_CNT

	lda	SYN_BANK
	beq	.3
	ldx	#6
	asl	a
.1:
	asl	a
	beq	.2
	dex
	cmp	#$80
	bcc	.1
	ldy	SYN_BANK+1,x
	stx	$8000
	sty	$8001
	bcs	.1
.2:
	sta	SYN_BANK
.3:

	lda	$2002	; clear address latch

	rts

Player_EnterPosY:
	.db	164,165,165,166,166,167,167,168
	.db	169,170,172,173,175,176,178,180
	.db	182,184,187,199,192,194,197,200
	.db	203,206,210,213,217,220,224,228

.align:
	.org	(HIGH(.align)+1)*256
	; clk/line : 341ppu : 113.667 cpu
	; total 7+24  +10+15+20+34 = 110clk for emu
	; total 7+24+4+10+15+20+34 = 114clk for real machine
User_Irq_Real2:
	nop			; 2
User_Irq_Real:
	nop			; 2
	nop			; 2
User_Irq_Emu:
	lda	<IRQ_X		; 3
	cmp	#$80		; 2
	bit	<IRQ_X		; 3
	and	#$0f		; 2

	bne	.1		; 2/3
	; irq disable
	lda	#$00		; 2
	sta	$c000		; 4
	sta	$e000		; 4
	beq	.2		; 3 same as jmp
.1:
	; irq enable
	sta	$c000		; 4
	sta	$e000		; 4
	sta	$e001		; 4
.2:
;		; set chr-bank
;		bcc	.4		; 2/3
;		bvs	.5		; 2/3
;		ldx	#$01		; 2
;		lda	<IRQ_BANK	; 3
;		stx	$8000		; 4
;		sta	$8001		; 4
;		jmp	.6		; 3
;	.4:
;		pla			; 4
;		pha			; 3
;		pla			; 4
;		pha			; 3
;		jmp	.6		; 3
;	.5:
;		nop			; 2
;		ldx	#$01		; 2
;		lda	<IRQ_BANK+1	; 3
;		stx	$8000		; 4
;		sta	$8001		; 4
;	.6:
	; set chr-bank
	ldx	#$01		; 2
	bvc	.5		; 2/3
	lda	<IRQ_BANK+1	; 3
	stx	$8000		; 4
	sta	$8001		; 4
	jmp	.6		; 3
.4:
	pla			; 4
	pha			; 3
	jmp	.6		; 3
.5:
	bcc	.4		; 2/3
	lda	<IRQ_BANK	; 3
	stx	$8000		; 4
	sta	$8001		; 4
.6:
	; set ppu addr
	lda	<IRQ_X		; 3
	and	#$10		; 2
	lsr	a		; 2
	sta	$2006		; 4
	lda	<IRQ_Y		; 3
	sta	$2005		; 4
	ldx	SCROLL_X	; 4
	stx	$2005		; 4
	asl	a		; 2
	asl	a		; 2
	and	#$e0		; 2
	sta	$2006		; 4

	ldy	<IRQ_CNT
	lda	[IRQ_TBL],y
	sta	<IRQ_X
	iny
	lda	[IRQ_TBL],y
	sta	<IRQ_Y
	iny
	sty	<IRQ_CNT

	jmp	SND_REFPCM

	; 1st byte 2nd byte
	; BB-NLLLL YYYYYYYY
	;
	; B .. CHR-ROM oN؂ւ
	;      00 : ؂ւȂ
	;      01 : w֎~
	;      10 : IRQ_BANK  ɐ؂ւ
	;      11 : IRQ_BANK+1ɐ؂ւ
	; N .. l[e[uԍ(XN[Yʒu256..511̎ON)
	; L .. ̊荞݃C-1
	; Y .. XN[Yʒu(8bit)
	; L0ł΁Ãt[IRQ荞݂I

.align:
;	.org	(HIGH(.align-1)+1)*256+64
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData0a:
	.db	$17,232, $17,232
	.db	$07,  0, $07, 16, $07, 32, $07, 48
	.db	$07, 64, $07, 80, $07, 96, $07,112
	.db	$07,128, $07,144, $07,160, $07,176
	.db	$07,192, $07,208, $17,  0, $17, 16
	.db	$17, 32, $17, 48, $17, 64, $17, 80
	.db	$17, 96, $17,112, $17,128, $17,144
	.db	$17,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData0b:
	.db	$17,232, $17,232
	.db	$07,  8, $07, 24, $07, 40, $07, 56
	.db	$07, 72, $07, 88, $07,104, $07,120
	.db	$07,136, $07,152, $07,168, $07,184
	.db	$07,200, $07,216, $17,  8, $17, 24
	.db	$17, 40, $17, 56, $17, 72, $17, 88
	.db	$17,104, $17,120, $17,136, $17,152
	.db	$17,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData1a:
	.db	$17,232, $17,232
	.db	$01,  0, $01,230
	.db	$03,  4, $07, 16, $07, 32, $07, 48
	.db	$07, 64, $07, 80, $07, 96, $07,112
	.db	$07,128, $07,144, $07,160, $07,176
	.db	$07,192, $07,208, $17,  0, $17, 16
	.db	$17, 32, $17, 48, $17, 64, $17, 80
	.db	$17, 96, $17,112, $17,128, $17,144
	.db	$01,232, $15,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData1b:
	.db	$17,232, $17,232
	.db	$01,  8, $01,230
	.db	$03, 12, $07, 24, $07, 40, $07, 56
	.db	$07, 72, $07, 88, $07,104, $07,120
	.db	$07,136, $07,152, $07,168, $07,184
	.db	$07,200, $07,216, $17,  8, $17, 24
	.db	$17, 40, $17, 56, $17, 72, $17, 88
	.db	$17,104, $17,120, $17,136, $17,152
	.db	$01,232, $15,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData2a:
	.db	$17,232, $17,232
	.db	$07,  0, $07, 16, $07, 32, $07, 48
	.db	$03, 64
	.db	$d3,228, $1c,179, $1f,192, $12,176
	.db	$1f,208, $17,224, $17,224, $17,224
	.db	$17,224, $17,224, $13,224
	.db	$93, 36, $17, 48, $17, 64, $17, 80
	.db	$17, 96, $17,112, $17,128, $17,144
	.db	$17,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData2b:
	.db	$17,232, $17,232
	.db	$07,  8, $07, 24, $07, 40, $07, 56
	.db	$03, 72
	.db	$d3,228, $1c,179, $1f,192, $12,176
	.db	$1f,208, $17,224, $17,224, $17,224
	.db	$17,224, $17,224, $13,224
	.db	$93, 44, $17, 56, $17, 72, $17, 88
	.db	$17,104, $17,120, $17,136, $17,152
	.db	$17,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData3a:
	.db	$17,232, $17,232
	.db	$01,  0, $dd,162
	.db	                  $87, 32, $07, 48
	.db	$07, 64, $07, 80, $07, 96, $07,112
	.db	$07,128, $07,144, $07,160, $07,176
	.db	$07,192, $07,208, $17,  0, $17, 16
	.db	$17, 32, $17, 48, $17, 64, $17, 80
	.db	$17, 96, $17,112, $17,128, $17,144
	.db	$01,232, $15,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData3b:
	.db	$17,232, $17,232
	.db	$01,  8, $dd,162
	.db	                  $87, 40, $07, 56
	.db	$07, 72, $07, 88, $07,104, $07,120
	.db	$07,136, $07,152, $07,168, $07,184
	.db	$07,200, $07,216, $17,  8, $17, 24
	.db	$17, 40, $17, 56, $17, 72, $17, 88
	.db	$17,104, $17,120, $17,136, $17,152
	.db	$01,232, $15,232, $17,232, $10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData4a:
	.db	$07,  0, $07, 16, $07, 32, $07, 48
	.db	$07, 64, $07, 80, $07, 96, $07,112
	.db	$07,128, $07,144, $07,160, $07,176
	.db	$07,192, $07,208, $17,  0, $17, 16
	.db	$17, 32, $17, 48, $17, 64, $17, 80
	.db	$17, 96, $17,112, $17,128, $17,144
	.db	$17,160, $17,176, $17,192, $17,208
	.db	$10,224
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_SeqData4b:
	.db	$07,  8, $07, 24, $07, 40, $07, 56
	.db	$07, 72, $07, 88, $07,104, $07,120
	.db	$07,136, $07,152, $07,168, $07,184
	.db	$07,200, $07,216, $17,  8, $17, 24
	.db	$17, 40, $17, 56, $17, 72, $17, 88
	.db	$17,104, $17,120, $17,136, $17,152
	.db	$17,168, $17,184, $17,200, $17,216
	.db	$10,232
.align:
	.org	(HIGH(.align+63))*256+(LOW(.align+63)&-64)

Irq_ModeTableL:
	.db	LOW(Irq_SeqData0a), LOW(Irq_SeqData0b)
	.db	LOW(Irq_SeqData1a), LOW(Irq_SeqData1b)
	.db	LOW(Irq_SeqData2a), LOW(Irq_SeqData2b)
	.db	LOW(Irq_SeqData3a), LOW(Irq_SeqData3b)
	.db	LOW(Irq_SeqData4a), LOW(Irq_SeqData4b)

Irq_ModeTableH:
	.db	HIGH(Irq_SeqData0a), HIGH(Irq_SeqData0b)
	.db	HIGH(Irq_SeqData1a), HIGH(Irq_SeqData1b)
	.db	HIGH(Irq_SeqData2a), HIGH(Irq_SeqData2b)
	.db	HIGH(Irq_SeqData3a), HIGH(Irq_SeqData3b)
	.db	HIGH(Irq_SeqData4a), HIGH(Irq_SeqData4b)

ExtendTable_L:
	.db	LOW(  50), LOW( 125), LOW( 200), LOW( 300)
	.db	LOW( 450), LOW( 600), LOW( 800), LOW(1000)
ExtendTable_H:
	.db	HIGH(  50), HIGH( 125), HIGH( 200), HIGH( 300)
	.db	HIGH( 450), HIGH( 600), HIGH( 800), HIGH(1000)

